Page MenuHomePhabricator

Breadcrumb (#isin magic word) doesn't update in preview mode
Closed, ResolvedPublic

Description

Through the #isin magic word, I can build the breadcrumb on the top of the page.

To simplify the syntax we use one of these templates to call that magic word, for example: IsIn, IsInCat, Quickfooter.

When we apply some change on one of the above templates and we push the preview button, the breadcrumb doesn't change accordingly to the new wikitext, so it's not possible to verify, before saving, if the change is good or not.

Could you fix it?


Version: unspecified
Severity: normal
URL: http://it.wikivoyage.org

Details

Reference
bz54831

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:30 AM
bzimport added a project: GeoCrumbs.
bzimport set Reference to bz54831.
bzimport added a subscriber: Unknown Object (MLST).
Andyrom75 created this task.Oct 1 2013, 4:25 PM

Could you elaborate on the steps to reproduce by providing a specific example / testpage?

You can test it with every page.

Anyway, let's take one to make an example: https://it.wikivoyage.org/wiki/Caraibi

  1. Edit it.
  2. Change (in the very bottom):

{{Quickfooter|Regione continentale

Continente = America del Nord

}}

into

{{Quickfooter|Regione continentale

Continente = America Centrale

}}

  1. Preview it.
  2. You'll see that in the top, instead of

America Centrale > Caraibi

you'll keep seeing

America del Nord > Caraibi

  1. but if you save it, you'll see the correct layout: America Centrale > Caraibi

Let me know if now it's clear or if you need more info about it.

I still see it as unconfirmed. Do you need further clarification?

I can confirm the problem with the given steps, however I am not sure if this is a bug in the MediaWiki code itself (which would make this a valid, confirmed bug) or in the {{Quickfooter}} template.

Quickfooter is a template present only in it:voy (e.g. en:voy use IsPartOf), but at the end it just use the tag {{#isin:...}} like all the others language versions of voy.
Is this tag that originate the issue.

Simpler steps to reproduce:

  1. Edit a title in namespace 0, for instance a new page
  2. Add {{#isin:America del Nord}}, preview

I. Observed: breadcrumb is not shown.
II. Expected: it's part of preview.

  1. Save.

III. Observed: it's shown.

  1. Edit again, replace with {{#isin:America Centrale}, preview

IV. Observed: the old breadcrumb is shown.
V. Expected: it's updated.

  1. Save

VI. Observed: it's updated correctly despite preview.

Legoktm claimed this task.Jul 20 2016, 2:52 AM

Change 299926 had a related patch set uploaded (by Legoktm):
Update breadcrumb properly on preview

https://gerrit.wikimedia.org/r/299926

Change 299926 merged by jenkins-bot:
Update breadcrumb properly on preview

https://gerrit.wikimedia.org/r/299926

Jdforrester-WMF closed this task as Resolved.Jul 20 2016, 4:27 PM